Changeset 4599

Show
Ignore:
Timestamp:
02/13/07 13:35:13 (2 years ago)
Author:
morris
Message:

Clean up config.m4

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • libwired/trunk/config.h.in

    r4590 r4599  
    11/* config.h.in.  Generated from configure.in by autoheader.  */ 
    2  
    3 /* Define to 1 if you have the <CoreServices/CoreServices.h> header file. */ 
    4 #undef HAVE_CORESERVICES_CORESERVICES_H 
    52 
    63/* Define to 1 if you have the <curses.h> header file. */ 
  • libwired/trunk/config.m4

    r4590 r4599  
    6565You need to download a version of libwired and place it in the same directory as this configure script]) 
    6666fi 
     67]) 
     68 
     69 
     70AC_DEFUN([WI_INCLUDE_LIBWIRED_LIBRARIES], [ 
     71        WI_INCLUDE_MATH_LIBRARY 
     72        WI_INCLUDE_SOCKET_LIBRARY 
     73        WI_INCLUDE_NSL_LIBRARY 
     74        WI_INCLUDE_RESOLV_LIBRARY 
     75]) 
     76 
     77 
     78AC_DEFUN([WI_INCLUDE_OPENSSL_LIBRARIES], [ 
     79        WI_INCLUDE_CRYPTO_LIBRARY 
     80        WI_INCLUDE_SSL_LIBRARY 
     81]) 
     82 
     83 
     84 
     85AC_DEFUN([WI_INCLUDE_P7_LIBRARIES], [ 
     86        WI_INCLUDE_CRYPTO_LIBRARY 
     87        WI_INCLUDE_LIBXML2_LIBRARY 
     88        WI_INCLUDE_ZLIB_LIBRARY 
    6789]) 
    6890 
  • libwired/trunk/configure

    r4590 r4599  
    312312#endif" 
    313313 
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os WI_VERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE objdir rundir WI_MAINTAINER CPP EGREP LIBOBJS LTLIBOBJS' 
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os WI_VERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE objdir rundir WI_MAINTAINER EGREP LIBOBJS LTLIBOBJS' 
    315315ac_subst_files='' 
    316316 
     
    13981398 
    13991399 
     1400 
     1401 
     1402 
     1403 
     1404 
     1405 
     1406 
     1407 
     1408 
     1409 
    14001410# Get host 
    14011411ac_aux_dir= 
     
    24232433fi 
    24242434rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     2435ac_ext=c 
     2436ac_cpp='$CPP $CPPFLAGS' 
     2437ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     2438ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     2439ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     2440 
     2441ac_ext=c 
     2442ac_cpp='$CPP $CPPFLAGS' 
     2443ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     2444ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     2445ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     2446echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 
     2447echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6 
     2448# On Suns, sometimes $CPP names a directory. 
     2449if test -n "$CPP" && test -d "$CPP"; then 
     2450  CPP= 
     2451fi 
     2452if test -z "$CPP"; then 
     2453  if test "${ac_cv_prog_CPP+set}" = set; then 
     2454  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2455else 
     2456      # Double quotes because CPP needs to be expanded 
     2457    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp" 
     2458    do 
     2459      ac_preproc_ok=false 
     2460for ac_c_preproc_warn_flag in '' yes 
     2461do 
     2462  # Use a header file that comes with gcc, so configuring glibc 
     2463  # with a fresh cross-compiler works. 
     2464  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     2465  # <limits.h> exists even on freestanding compilers. 
     2466  # On the NeXT, cc -E runs the code through the compiler's parser, 
     2467  # not just through cpp. "Syntax error" is here to catch this case. 
     2468  cat >conftest.$ac_ext <<_ACEOF 
     2469/* confdefs.h.  */ 
     2470_ACEOF 
     2471cat confdefs.h >>conftest.$ac_ext 
     2472cat >>conftest.$ac_ext <<_ACEOF 
     2473/* end confdefs.h.  */ 
     2474#ifdef __STDC__ 
     2475# include <limits.h> 
     2476#else 
     2477# include <assert.h> 
     2478#endif 
     2479                     Syntax error 
     2480_ACEOF 
     2481if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2482  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2483  ac_status=$? 
     2484  grep -v '^ *+' conftest.er1 >conftest.err 
     2485  rm -f conftest.er1 
     2486  cat conftest.err >&5 
     2487  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2488  (exit $ac_status); } >/dev/null; then 
     2489  if test -s conftest.err; then 
     2490    ac_cpp_err=$ac_c_preproc_warn_flag 
     2491    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     2492  else 
     2493    ac_cpp_err= 
     2494  fi 
     2495else 
     2496  ac_cpp_err=yes 
     2497fi 
     2498if test -z "$ac_cpp_err"; then 
     2499  : 
     2500else 
     2501  echo "$as_me: failed program was:" >&5 
     2502sed 's/^/| /' conftest.$ac_ext >&5 
     2503 
     2504  # Broken: fails on valid input. 
     2505continue 
     2506fi 
     2507rm -f conftest.err conftest.$ac_ext 
     2508 
     2509  # OK, works on sane cases.  Now check whether non-existent headers 
     2510  # can be detected and how. 
     2511  cat >conftest.$ac_ext <<_ACEOF 
     2512/* confdefs.h.  */ 
     2513_ACEOF 
     2514cat confdefs.h >>conftest.$ac_ext 
     2515cat >>conftest.$ac_ext <<_ACEOF 
     2516/* end confdefs.h.  */ 
     2517#include <ac_nonexistent.h> 
     2518_ACEOF 
     2519if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2520  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2521  ac_status=$? 
     2522  grep -v '^ *+' conftest.er1 >conftest.err 
     2523  rm -f conftest.er1 
     2524  cat conftest.err >&5 
     2525  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2526  (exit $ac_status); } >/dev/null; then 
     2527  if test -s conftest.err; then 
     2528    ac_cpp_err=$ac_c_preproc_warn_flag 
     2529    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     2530  else 
     2531    ac_cpp_err= 
     2532  fi 
     2533else 
     2534  ac_cpp_err=yes 
     2535fi 
     2536if test -z "$ac_cpp_err"; then 
     2537  # Broken: success on invalid input. 
     2538continue 
     2539else 
     2540  echo "$as_me: failed program was:" >&5 
     2541sed 's/^/| /' conftest.$ac_ext >&5 
     2542 
     2543  # Passes both tests. 
     2544ac_preproc_ok=: 
     2545break 
     2546fi 
     2547rm -f conftest.err conftest.$ac_ext 
     2548 
     2549done 
     2550# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
     2551rm -f conftest.err conftest.$ac_ext 
     2552if $ac_preproc_ok; then 
     2553  break 
     2554fi 
     2555 
     2556    done 
     2557    ac_cv_prog_CPP=$CPP 
     2558 
     2559fi 
     2560  CPP=$ac_cv_prog_CPP 
     2561else 
     2562  ac_cv_prog_CPP=$CPP 
     2563fi 
     2564echo "$as_me:$LINENO: result: $CPP" >&5 
     2565echo "${ECHO_T}$CPP" >&6 
     2566ac_preproc_ok=false 
     2567for ac_c_preproc_warn_flag in '' yes 
     2568do 
     2569  # Use a header file that comes with gcc, so configuring glibc 
     2570  # with a fresh cross-compiler works. 
     2571  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     2572  # <limits.h> exists even on freestanding compilers. 
     2573  # On the NeXT, cc -E runs the code through the compiler's parser, 
     2574  # not just through cpp. "Syntax error" is here to catch this case. 
     2575  cat >conftest.$ac_ext <<_ACEOF 
     2576/* confdefs.h.  */ 
     2577_ACEOF 
     2578cat confdefs.h >>conftest.$ac_ext 
     2579cat >>conftest.$ac_ext <<_ACEOF 
     2580/* end confdefs.h.  */ 
     2581#ifdef __STDC__ 
     2582# include <limits.h> 
     2583#else 
     2584# include <assert.h> 
     2585#endif 
     2586                     Syntax error 
     2587_ACEOF 
     2588if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2589  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2590  ac_status=$? 
     2591  grep -v '^ *+' conftest.er1 >conftest.err 
     2592  rm -f conftest.er1 
     2593  cat conftest.err >&5 
     2594  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2595  (exit $ac_status); } >/dev/null; then 
     2596  if test -s conftest.err; then 
     2597    ac_cpp_err=$ac_c_preproc_warn_flag 
     2598    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     2599  else 
     2600    ac_cpp_err= 
     2601  fi 
     2602else 
     2603  ac_cpp_err=yes 
     2604fi 
     2605if test -z "$ac_cpp_err"; then 
     2606  : 
     2607else 
     2608  echo "$as_me: failed program was:" >&5 
     2609sed 's/^/| /' conftest.$ac_ext >&5 
     2610 
     2611  # Broken: fails on valid input. 
     2612continue 
     2613fi 
     2614rm -f conftest.err conftest.$ac_ext 
     2615 
     2616  # OK, works on sane cases.  Now check whether non-existent headers 
     2617  # can be detected and how. 
     2618  cat >conftest.$ac_ext <<_ACEOF 
     2619/* confdefs.h.  */ 
     2620_ACEOF 
     2621cat confdefs.h >>conftest.$ac_ext 
     2622cat >>conftest.$ac_ext <<_ACEOF 
     2623/* end confdefs.h.  */ 
     2624#include <ac_nonexistent.h> 
     2625_ACEOF 
     2626if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     2627  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     2628  ac_status=$? 
     2629  grep -v '^ *+' conftest.er1 >conftest.err 
     2630  rm -f conftest.er1 
     2631  cat conftest.err >&5 
     2632  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2633  (exit $ac_status); } >/dev/null; then 
     2634  if test -s conftest.err; then 
     2635    ac_cpp_err=$ac_c_preproc_warn_flag 
     2636    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     2637  else 
     2638    ac_cpp_err= 
     2639  fi 
     2640else 
     2641  ac_cpp_err=yes 
     2642fi 
     2643if test -z "$ac_cpp_err"; then 
     2644  # Broken: success on invalid input. 
     2645continue 
     2646else 
     2647  echo "$as_me: failed program was:" >&5 
     2648sed 's/^/| /' conftest.$ac_ext >&5 
     2649 
     2650  # Passes both tests. 
     2651ac_preproc_ok=: 
     2652break 
     2653fi 
     2654rm -f conftest.err conftest.$ac_ext 
     2655 
     2656done 
     2657# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
     2658rm -f conftest.err conftest.$ac_ext 
     2659if $ac_preproc_ok; then 
     2660  : 
     2661else 
     2662  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check 
     2663See \`config.log' for more details." >&5 
     2664echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check 
     2665See \`config.log' for more details." >&2;} 
     2666   { (exit 1); exit 1; }; } 
     2667fi 
     2668 
    24252669ac_ext=c 
    24262670ac_cpp='$CPP $CPPFLAGS' 
     
    31513395 
    31523396 
     3397 
    31533398        echo "$as_me:$LINENO: checking for pow" >&5 
    31543399echo $ECHO_N "checking for pow... $ECHO_C" >&6 
     
    38274072 
    38284073 
     4074 
    38294075if test -n "$enable_ssl"; then 
    3830         ac_ext=c 
    3831 ac_cpp='$CPP $CPPFLAGS' 
    3832 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    3833 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    3834 ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    3835 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 
    3836 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6 
    3837 # On Suns, sometimes $CPP names a directory. 
    3838 if test -n "$CPP" && test -d "$CPP"; then 
    3839   CPP= 
    3840 fi 
    3841 if test -z "$CPP"; then 
    3842   if test "${ac_cv_prog_CPP+set}" = set; then 
    3843   echo $ECHO_N "(cached) $ECHO_C" >&6 
    3844 else 
    3845       # Double quotes because CPP needs to be expanded 
    3846     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp" 
    3847     do 
    3848       ac_preproc_ok=false 
    3849 for ac_c_preproc_warn_flag in '' yes 
    3850 do 
    3851   # Use a header file that comes with gcc, so configuring glibc 
    3852   # with a fresh cross-compiler works. 
    3853   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    3854   # <limits.h> exists even on freestanding compilers. 
    3855   # On the NeXT, cc -E runs the code through the compiler's parser, 
    3856   # not just through cpp. "Syntax error" is here to catch this case. 
    3857   cat >conftest.$ac_ext <<_ACEOF 
    3858 /* confdefs.h.  */ 
    3859 _ACEOF 
    3860 cat confdefs.h >>conftest.$ac_ext 
    3861 cat >>conftest.$ac_ext <<_ACEOF 
    3862 /* end confdefs.h.  */ 
    3863 #ifdef __STDC__ 
    3864 # include <limits.h> 
    3865 #else 
    3866 # include <assert.h> 
    3867 #endif 
    3868                      Syntax error 
    3869 _ACEOF 
    3870 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3871   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3872   ac_status=$? 
    3873   grep -v '^ *+' conftest.er1 >conftest.err 
    3874   rm -f conftest.er1 
    3875   cat conftest.err >&5 
    3876   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3877   (exit $ac_status); } >/dev/null; then 
    3878   if test -s conftest.err; then 
    3879     ac_cpp_err=$ac_c_preproc_warn_flag 
    3880     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3881   else 
    3882     ac_cpp_err= 
    3883   fi 
    3884 else 
    3885   ac_cpp_err=yes 
    3886 fi 
    3887 if test -z "$ac_cpp_err"; then 
    3888   : 
    3889 else 
    3890   echo "$as_me: failed program was:" >&5 
    3891 sed 's/^/| /' conftest.$ac_ext >&5 
    3892  
    3893   # Broken: fails on valid input. 
    3894 continue 
    3895 fi 
    3896 rm -f conftest.err conftest.$ac_ext 
    3897  
    3898   # OK, works on sane cases.  Now check whether non-existent headers 
    3899   # can be detected and how. 
    3900   cat >conftest.$ac_ext <<_ACEOF 
    3901 /* confdefs.h.  */ 
    3902 _ACEOF 
    3903 cat confdefs.h >>conftest.$ac_ext 
    3904 cat >>conftest.$ac_ext <<_ACEOF 
    3905 /* end confdefs.h.  */ 
    3906 #include <ac_nonexistent.h> 
    3907 _ACEOF 
    3908 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3909   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3910   ac_status=$? 
    3911   grep -v '^ *+' conftest.er1 >conftest.err 
    3912   rm -f conftest.er1 
    3913   cat conftest.err >&5 
    3914   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3915   (exit $ac_status); } >/dev/null; then 
    3916   if test -s conftest.err; then 
    3917     ac_cpp_err=$ac_c_preproc_warn_flag 
    3918     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3919   else 
    3920     ac_cpp_err= 
    3921   fi 
    3922 else 
    3923   ac_cpp_err=yes 
    3924 fi 
    3925 if test -z "$ac_cpp_err"; then 
    3926   # Broken: success on invalid input. 
    3927 continue 
    3928 else 
    3929   echo "$as_me: failed program was:" >&5 
    3930 sed 's/^/| /' conftest.$ac_ext >&5 
    3931  
    3932   # Passes both tests. 
    3933 ac_preproc_ok=: 
    3934 break 
    3935 fi 
    3936 rm -f conftest.err conftest.$ac_ext 
    3937  
    3938 done 
    3939 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
    3940 rm -f conftest.err conftest.$ac_ext 
    3941 if $ac_preproc_ok; then 
    3942   break 
    3943 fi 
    3944  
    3945     done 
    3946     ac_cv_prog_CPP=$CPP 
    3947  
    3948 fi 
    3949   CPP=$ac_cv_prog_CPP 
    3950 else 
    3951   ac_cv_prog_CPP=$CPP 
    3952 fi 
    3953 echo "$as_me:$LINENO: result: $CPP" >&5 
    3954 echo "${ECHO_T}$CPP" >&6 
    3955 ac_preproc_ok=false 
    3956 for ac_c_preproc_warn_flag in '' yes 
    3957 do 
    3958   # Use a header file that comes with gcc, so configuring glibc 
    3959   # with a fresh cross-compiler works. 
    3960   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    3961   # <limits.h> exists even on freestanding compilers. 
    3962   # On the NeXT, cc -E runs the code through the compiler's parser, 
    3963   # not just through cpp. "Syntax error" is here to catch this case. 
    3964   cat >conftest.$ac_ext <<_ACEOF 
    3965 /* confdefs.h.  */ 
    3966 _ACEOF 
    3967 cat confdefs.h >>conftest.$ac_ext 
    3968 cat >>conftest.$ac_ext <<_ACEOF 
    3969 /* end confdefs.h.  */ 
    3970 #ifdef __STDC__ 
    3971 # include <limits.h> 
    3972 #else 
    3973 # include <assert.h> 
    3974 #endif 
    3975                      Syntax error 
    3976 _ACEOF 
    3977 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3978   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3979   ac_status=$? 
    3980   grep -v '^ *+' conftest.er1 >conftest.err 
    3981   rm -f conftest.er1 
    3982   cat conftest.err >&5 
    3983   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3984   (exit $ac_status); } >/dev/null; then 
    3985   if test -s conftest.err; then 
    3986     ac_cpp_err=$ac_c_preproc_warn_flag 
    3987     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3988   else 
    3989     ac_cpp_err= 
    3990   fi 
    3991 else 
    3992   ac_cpp_err=yes 
    3993 fi 
    3994 if test -z "$ac_cpp_err"; then 
    3995   : 
    3996 else 
    3997   echo "$as_me: failed program was:" >&5 
    3998 sed 's/^/| /' conftest.$ac_ext >&5 
    3999  
    4000   # Broken: fails on valid input. 
    4001 continue 
    4002 fi 
    4003 rm -f conftest.err conftest.$ac_ext 
    4004  
    4005   # OK, works on sane cases.  Now check whether non-existent headers 
    4006   # can be detected and how. 
    4007   cat >conftest.$ac_ext <<_ACEOF 
    4008 /* confdefs.h.  */ 
    4009 _ACEOF 
    4010 cat confdefs.h >>conftest.$ac_ext 
    4011 cat >>conftest.$ac_ext <<_ACEOF 
    4012 /* end confdefs.h.  */ 
    4013 #include <ac_nonexistent.h> 
    4014 _ACEOF 
    4015 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    4016   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    4017   ac_status=$? 
    4018   grep -v '^ *+' conftest.er1 >conftest.err 
    4019   rm -f conftest.er1 
    4020   cat conftest.err >&5 
    4021   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4022   (exit $ac_status); } >/dev/null; then 
    4023   if test -s conftest.err; then 
    4024     ac_cpp_err=$ac_c_preproc_warn_flag 
    4025     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    4026   else 
    4027     ac_cpp_err= 
    4028   fi 
    4029 else 
    4030   ac_cpp_err=yes 
    4031 fi 
    4032 if test -z "$ac_cpp_err"; then 
    4033   # Broken: success on invalid input. 
    4034 continue 
    4035 else 
    4036   echo "$as_me: failed program was:" >&5 
    4037 sed 's/^/| /' conftest.$ac_ext >&5 
    4038  
    4039   # Passes both tests. 
    4040 ac_preproc_ok=: 
    4041 break 
    4042 fi 
    4043 rm -f conftest.err conftest.$ac_ext 
    4044  
    4045 done 
    4046 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped. 
    4047 rm -f conftest.err conftest.$ac_ext 
    4048 if $ac_preproc_ok; then 
    4049   : 
    4050 else 
    4051   { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check 
    4052 See \`config.log' for more details." >&5 
    4053 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check 
    4054 See \`config.log' for more details." >&2;} 
    4055    { (exit 1); exit 1; }; } 
    4056 fi 
    4057  
    4058 ac_ext=c 
    4059 ac_cpp='$CPP $CPPFLAGS' 
    4060 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    4061 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    4062 ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    4063  
    40644076 
    40654077echo "$as_me:$LINENO: checking for egrep" >&5 
     
    43144326 
    43154327done 
     4328 
    43164329 
    43174330 
     
    48624875 
    48634876 
     4877 
    48644878fi 
    48654879 
     
    64096423 
    64106424 
     6425 
    64116426        if test "$_wi_ssl_paths_added" != yes ; then 
    64126427                if test -d /usr/local/ssl/include; then 
     
    71987213 
    71997214 
    7200 fi 
    7201  
    7202  
    7203  
    7204 for ac_header in CoreServices/CoreServices.h 
    7205 do 
    7206 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
    7207 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    7208   echo "$as_me:$LINENO: checking for $ac_header" >&5 
    7209 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
    7210 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    7211   echo $ECHO_N "(cached) $ECHO_C" >&6 
    7212 fi 
    7213 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
    7214 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
    7215 else 
    7216   # Is the header compilable? 
    7217 echo "$as_me:$LINENO: checking $ac_header usability" >&5 
    7218 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
    7219 cat >conftest.$ac_ext <<_ACEOF 
    7220 /* confdefs.h.  */ 
    7221 _ACEOF 
    7222 cat confdefs.h >>conftest.$ac_ext 
    7223 cat >>conftest.$ac_ext <<_ACEOF 
    7224 /* end confdefs.h.  */ 
    7225 $ac_includes_default 
    7226 #include <$ac_header> 
    7227 _ACEOF 
    7228 rm -f conftest.$ac_objext 
    7229 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    7230   (eval $ac_compile) 2>conftest.er1 
    7231   ac_status=$? 
    7232   grep -v '^ *+' conftest.er1 >conftest.err 
    7233   rm -f conftest.er1 
    7234   cat conftest.err >&5 
    7235   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    7236   (exit $ac_status); } && 
    7237          { ac_try='test -z "$ac_c_werror_flag" 
    7238                          || test ! -s conftest.err' 
    7239   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    7240   (eval $ac_try) 2>&5 
    7241   ac_status=$? 
    7242   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    7243   (exit $ac_status); }; } && 
    7244          { ac_try='test -s conftest.$ac_objext' 
    7245   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    7246   (eval $ac_try) 2>&5 
    7247   ac_status=$? 
    7248   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    7249   (exit $ac_status); }; }; then 
    7250   ac_header_compiler=yes 
    7251 else 
    7252   echo "$as_me: failed program was:" >&5 
    7253 sed 's/^/| /' conftest.$ac_ext >&5 
    7254  
    7255 ac_header_compiler=no 
    7256 fi 
    7257 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    7258 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
    7259 echo "${ECHO_T}$ac_header_compiler" >&6 
    7260  
    7261 # Is the header present? 
    7262 echo "$as_me:$LINENO: checking $ac_header presence" >&5 
    7263 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
    7264 cat >conftest.$ac_ext <<_ACEOF 
    7265 /* confdefs.h.  */ 
    7266 _ACEOF 
    7267 cat confdefs.h >>conftest.$ac_ext 
    7268 cat >>conftest.$ac_ext <<_ACEOF 
    7269 /* end confdefs.h.  */ 
    7270 #include <$ac_header> 
    7271 _ACEOF 
    7272 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    7273   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    7274   ac_status=$? 
    7275   grep -v '^ *+' conftest.er1 >conftest.err 
    7276   rm -f conftest.er1 
    7277   cat conftest.err >&5 
    7278   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    7279   (exit $ac_status); } >/dev/null; then 
    7280   if test -s conftest.err; then 
    7281     ac_cpp_err=$ac_c_preproc_warn_flag 
    7282     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    7283   else 
    7284     ac_cpp_err= 
    7285   fi 
    7286 else 
    7287   ac_cpp_err=yes 
    7288 fi 
    7289 if test -z "$ac_cpp_err"; then 
    7290   ac_header_preproc=yes 
    7291 else 
    7292   echo "$as_me: failed program was:" >&5 
    7293 sed 's/^/| /' conftest.$ac_ext >&5 
    7294  
    7295   ac_header_preproc=no 
    7296 fi 
    7297 rm -f conftest.err conftest.$ac_ext 
    7298 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
    7299 echo "${ECHO_T}$ac_header_preproc" >&6 
    7300  
    7301 # So?  What about this header? 
    7302 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
    7303   yes:no: ) 
    7304     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
    7305 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
    7306     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
    7307 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
    7308     ac_header_preproc=yes 
    7309     ;; 
    7310   no:yes:* ) 
    7311     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
    7312 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
    7313     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
    7314 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
    7315     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
    7316 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
    7317     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
    7318 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
    7319     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
    7320 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
    7321     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
    7322 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
    7323     ( 
    7324       cat <<\_ASBOX 
    7325 ## ------------------------------------- ## 
    7326 ## Report this to axel@zankasoftware.com ## 
    7327 ## ------------------------------------- ## 
    7328 _ASBOX 
    7329     ) | 
    7330       sed "s/^/$as_me: WARNING:     /" >&2 
    7331     ;; 
    7332 esac 
    7333 echo "$as_me:$LINENO: checking for $ac_header" >&5 
    7334 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
    7335 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    7336   echo $ECHO_N "(cached) $ECHO_C" >&6 
    7337 else 
    7338   eval "$as_ac_Header=\$ac_header_preproc" 
    7339 fi 
    7340 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
    7341 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
    7342  
    7343 fi 
    7344 if test `eval echo '${'$as_ac_Header'}'` = yes; then 
    7345   cat >>confdefs.h <<_ACEOF 
    7346 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
    7347 _ACEOF 
    7348  
    7349                 LIBS="$LIBS -framework CoreServices -framework Carbon" 
    7350  
    7351 fi 
    7352  
    7353 done 
    7354  
    7355  
     7215 
     7216fi 
    73567217 
    73577218 
     
    81177978do 
    81187979as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
    8119 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    8120   echo "$as_me:$LINENO: checking for $ac_header" >&5 
    8121 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
    8122 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    8123   echo $ECHO_N "(cached) $ECHO_C" >&6 
    8124 fi 
    8125 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
    8126 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
    8127 else 
    8128   # Is the header compilable? 
    8129 echo "$as_me:$LINENO: checking $ac_header usability" >&5 
    8130 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
    8131 cat >conftest.$ac_ext <<_ACEOF 
    8132 /* confdefs.h.  */ 
    8133 _ACEOF 
    8134 cat confdefs.h >>conftest.$ac_ext 
    8135 cat >>conftest.$ac_ext <<_ACEOF 
    8136 /* end confdefs.h.  */ 
    8137 $ac_includes_default 
    8138 #include <$ac_header> 
    8139 _ACEOF 
    8140 rm -f conftest.$ac_objext 
    8141 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    8142   (eval $ac_compile) 2>conftest.er1 
    8143   ac_status=$? 
    8144   grep -v '^ *+' conftest.er1 >conftest.err 
    8145   rm -f conftest.er1 
    8146   cat conftest.err >&5 
    8147   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    8148   (exit $ac_status); } && 
    8149          { ac_try='test -z "$ac_c_werror_flag" 
    8150                          || test ! -s conftest.err' 
    8151   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    8152   (eval $ac_try) 2>&5 
    8153   ac_status=$? 
    8154   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    8155   (exit $ac_status); }; } && 
    8156          { ac_try='test -s conftest.$ac_objext' 
    8157   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    8158   (eval $ac_try) 2>&5 
    8159   ac_status=$? 
    8160   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    8161   (exit $ac_status); }; }; then 
    8162   ac_header_compiler=yes 
    8163 else 
    8164   echo "$as_me: failed program was:" >&5 
    8165 sed 's/^/| /' conftest.$ac_ext >&5 
    8166  
    8167 ac_header_compiler=no 
    8168 fi 
    8169 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    8170 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
    8171 echo "${ECHO_T}$ac_header_compiler" >&6 
    8172  
    8173 # Is the header present? 
    8174 echo "$as_me:$LINENO: checking $ac_header presence" >&5 
    8175 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
    8176 cat >conftest.$ac_ext <<_ACEOF 
    8177 /* confdefs.h.  */ 
    8178 _ACEOF 
    8179 cat confdefs.h >>conftest.$ac_ext 
    8180 cat >>conftest.$ac_ext <<_ACEOF 
    8181 /* end confdefs.h.  */ 
    8182 #include <$ac_header> 
    8183 _ACEOF 
    8184 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    8185   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    8186   ac_status=$? 
    8187   grep -v '^ *+' conftest.er1 >conftest.err 
    8188   rm -f conftest.er1 
    8189   cat conftest.err >&5 
    8190   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    8191   (exit $ac_status); } >/dev/null; then 
    8192   if test -s conftest.err; then 
    8193     ac_cpp_err=$ac_c_preproc_warn_flag 
    8194     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    8195   else 
    8196     ac_cpp_err= 
    8197   fi 
    8198 else 
    8199   ac_cpp_err=yes 
    8200 fi 
    8201 if test -z "$ac_cpp_err"; then 
    8202   ac_header_preproc=yes 
    8203 else 
    8204   echo "$as_me: failed program was:" >&5 
    8205 sed 's/^/| /' conftest.$ac_ext >&5 
    8206  
    8207   ac_header_preproc=no 
    8208 fi 
    8209 rm -f conftest.err conftest.$ac_ext 
    8210 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
    8211 echo "${ECHO_T}$ac_header_preproc" >&6 
    8212  
    8213 # So?  What about this header? 
    8214 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
    8215   yes:no: ) 
    8216     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
    8217 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
    8218     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
    8219 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
    8220     ac_header_preproc=yes 
    8221     ;; 
    8222   no:yes:* ) 
    8223     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
    8224 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
    8225     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
    8226 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
    8227     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
    8228 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
    8229     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
    8230 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
    8231     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
    8232 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
    8233     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
    8234 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
    8235     ( 
    8236       cat <<\_ASBOX 
    8237 ## ------------------------------------- ## 
    8238 ## Report this to axel@zankasoftware.com ## 
    8239 ## ------------------------------------- ## 
    8240 _ASBOX 
    8241     ) | 
    8242       sed "s/^/$as_me: WARNING:     /" >&2 
    8243     ;; 
    8244 esac 
    82457980echo "$as_me:$LINENO: checking for $ac_header" >&5 
    82467981echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     
    82487983  echo $ECHO_N "(cached) $ECHO_C" >&6 
    82497984else 
    8250   eval "$as_ac_Header=\$ac_header_preproc" 
     7985  cat >conftest.$ac_ext <<_ACEOF 
     7986/* confdefs.h.  */ 
     7987_ACEOF 
     7988cat confdefs.h >>conftest.$ac_ext 
     7989cat >>conftest.$ac_ext <<_ACEOF 
     7990/* end confdefs.h.  */ 
     7991 
     7992        #include <sys/types.h> 
     7993 
     7994 
     7995#include <$ac_header> 
     7996_ACEOF 
     7997rm -f conftest.$ac_objext 
     7998if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     7999  (eval $ac_compile) 2>conftest.er1 
     8000  ac_status=$? 
     8001  grep -v '^ *+' conftest.er1 >conftest.err 
     8002  rm -f conftest.er1 
     8003  cat conftest.err >&5 
     8004  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8005  (exit $ac_status); } && 
     8006         { ac_try='test -z "$ac_c_werror_flag" 
     8007                         || test ! -s conftest.err' 
     8008  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     8009  (eval $ac_try) 2>&5 
     8010  ac_status=$? 
     8011  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8012  (exit $ac_status); }; } && 
     8013         { ac_try='test -s conftest.$ac_objext' 
     8014  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     8015  (eval $ac_try) 2>&5 
     8016  ac_status=$? 
     8017  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8018  (exit $ac_status); }; }; then 
     8019  eval "$as_ac_Header=yes" 
     8020else 
     8021  echo "$as_me: failed program was:" >&5 
     8022sed 's/^/| /' conftest.$ac_ext >&5 
     8023 
     8024eval "$as_ac_Header=no" 
     8025fi 
     8026rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    82518027fi 
    82528028echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
    82538029echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
    8254  
    8255 fi 
    82568030if test `eval echo '${'$as_ac_Header'}'` = yes; then 
    82578031  cat >>confdefs.h <<_ACEOF 
     
    99469720s,@EXEEXT@,$EXEEXT,;t t 
    99479721s,@OBJEXT@,$OBJEXT,;t t 
     9722s,@CPP@,$CPP,;t t 
    99489723s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t 
    99499724s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t 
     
    99539728s,@rundir@,$rundir,;t t 
    99549729s,@WI_MAINTAINER@,$WI_MAINTAINER,;t t 
    9955 s,@CPP@,$CPP,;t t 
    99569730s,@EGREP@,$EGREP,;t t 
    99579731s,@LIBOBJS@,$LIBOBJS,;t t 
     
    1046410238echo -n "     OpenSSL support: "; if test -n "$enable_ssl"; then echo yes; else echo no; fi 
    1046510239echo -n "       iconv support: "; if test -n "$enable_iconv"; then echo yes; else echo no; fi 
     10240echo -n "          p7 support: "; if test -n "$enable_p7"; then echo yes; else echo no; fi 
    1046610241 
    1046710242echo "" 
  • libwired/trunk/configure.in

    r4590 r4599  
    2323 
    2424AC_PROG_CC 
     25AC_PROG_CPP 
    2526AC_PROG_INSTALL 
    2627AC_PROG_MAKE_SET 
     
    132133# Checks for libraries 
    133134 
    134 WI_INCLUDE_MATH_LIBRARY 
    135 WI_INCLUDE_SOCKET_LIBRARY 
    136 WI_INCLUDE_NSL_LIBRARY 
    137 WI_INCLUDE_RESOLV_LIBRARY 
     135WI_INCLUDE_LIBWIRED_LIBRARIES 
    138136 
    139137if test -n "$enable_ssl"; then 
    140         WI_INCLUDE_CRYPTO_LIBRARY 
    141         WI_INCLUDE_SSL_LIBRARY 
     138        WI_INCLUDE_OPENSSL_LIBRARIES 
    142139fi 
    143140 
     
    155152 
    156153if test -n "$enable_p7"; then 
    157         WI_INCLUDE_CRYPTO_LIBRARY 
    158         WI_INCLUDE_LIBXML2_LIBRARY 
    159         WI_INCLUDE_ZLIB_LIBRARY 
    160 fi 
    161  
    162 WI_INCLUDE_CORESERVICES_FRAMEWORK 
     154        WI_INCLUDE_P7_LIBRARIES 
     155fi 
    163156 
    164157 
     
    217210        net/if_dl.h \ 
    218211        paths.h \ 
     212], [], [], [ 
     213        #include <sys/types.h> 
    219214]) 
    220215 
     
    285280echo -n "     OpenSSL support: "; if test -n "$enable_ssl"; then echo yes; else echo no; fi 
    286281echo -n "       iconv support: "; if test -n "$enable_iconv"; then echo yes; else echo no; fi 
     282echo -n "          p7 support: "; if test -n "$enable_p7"; then echo yes; else echo no; fi 
    287283 
    288284echo ""